<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function things_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "services" && $api == "services") {
    return array("version" => 3);
  }
}

/**
 * Implementation of hook_node_info().
 */
function things_node_info() {
  $items = array(
    'things' => array(
      'name' => t('Things'),
      'module' => 'features',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Registration ID'),
      'has_body' => '1',
      'body_label' => t('id'),
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_rules_defaults().
 */
function things_rules_defaults() {
  return array(
    'rules' => array(
      'rules_send_hello_world_ac2dm' => array(
        '#type' => 'rule',
        '#set' => 'event_node_insert',
        '#label' => 'Send Hello World AC2DM',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Things',
          'things' => 'things',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is thing',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'תוכן',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'thing' => 'thing',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'tokens' => '[node:body-raw]',
              'message' => '[:global:site-url]',
              'key' => 'url',
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'tokens' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                  'message' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'ac2dm_action_send_message',
            '#info' => array(
              'label' => 'Send AC2DM message',
              'module' => 'AC2DM',
              'eval input' => array(
                '0' => 'tokens',
                '1' => 'message',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_send_updatenodes_action' => array(
        '#type' => 'rule',
        '#set' => 'event_node_update',
        '#label' => 'Update of new node',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Things',
          'things' => 'things',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#negate' => 1,
            '#weight' => 0,
            '#info' => array(
              'label' => 'Created content is thing',
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'תוכן',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'thing' => 'thing',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '1' => array(
            '#info' => array(
              'label' => 'Get list of all registration IDs',
              'label callback' => FALSE,
              'new variables' => array(
                'ac2dm_tokens' => array(
                  'label' => 'AC2DM Tokens',
                  'label callback' => FALSE,
                  'type' => 'string',
                ),
              ),
              'eval input' => array(
                '0' => 'view_arguments',
              ),
              'module' => 'Views',
            ),
            '#name' => 'rules_views_rules_action_render_view',
            '#settings' => array(
              'view_arguments' => '',
              '#argument map' => array(
                'rendered_view' => 'ac2dm_tokens',
              ),
              'display_id' => 'default',
              'view_name' => 'ac2dm_tokens',
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'view_arguments' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'tokens' => '[ac2dm_tokens:string-raw]',
              'message' => '[node:node-url]',
              'key' => 'url',
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'tokens' => array(
                    '0' => 'ac2dm_tokens',
                    '1' => ':global',
                  ),
                  'message' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'ac2dm_action_send_message',
            '#info' => array(
              'label' => 'Send AC2DM message',
              'module' => 'AC2DM',
              'eval input' => array(
                '0' => 'tokens',
                '1' => 'message',
              ),
            ),
            '#weight' => 1,
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function things_views_api() {
  return array(
    'api' => '2',
  );
}
